#!/bin/bash
for solver in ./solver-plain.sh ./solver-cegar.sh ./solver-bq-cegar.sh
do
    infile=BLOCKS3i.4.4.qdimacs.gz
    $solver $infile &> /dev/null
    ex=$?
    if [ "$ex" == "20" ]; then
	echo "Test passed: $solver $infile"
    else
	echo "Test FAILED: $solver $infile"
    fi

    infile=impl20.qdimacs.gz
    $solver $infile &> /dev/null
    ex=$?
    if [ "$ex" == "10" ]; then
	echo "Test passed: $solver $infile"
    else
	echo "Test FAILED: $solver $infile"
    fi
done
